package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.User;
import lombok.Getter;
import lombok.Setter;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

@ManagedBean
@SessionScoped
public class UserBean {

    @Getter
    private User user;

    @Getter
    @Setter
    private String username;

    @Getter
    @Setter
    private String password;

    @Getter
    private boolean loggedIn = false;

    @Getter
    private boolean correctPassword = true;


    public String login() {
        Database db = Database.getInstance();
        User user = db.user().get(username);

        if (user == null) {
            correctPassword = false;
            return "";
        }

        if (db.user().verify(user, password)) {
            loggedIn = true;
            this.user = user;
            return "index.xhtml";
        }
        correctPassword = false;
        return "";


    }

}